package com.agileboot.domain.collaboration.record.enumtype;

import lombok.Getter;

/**
 * @author codex
 */
@Getter
public enum CollaborationOptionEnum {

    COOPERATION_PLATFORM("cooperationPlatform", "合作平台",
        new String[]{"小红书", "得物", "抖音", "淘宝", "京东", "微博", "B站", "其他"}),

    RETAINED_METHOD("retainedMethod", "留存方式",
        new String[]{"寄拍", "送拍", "置换", "无需寄样"}),

    COOPERATED_METHOD("cooperatedMethod", "合作方式",
        new String[]{"水下", "蒲公英"}),

    PURCHASE_METHOD("purchaseMethod", "购入方式",
        new String[]{"拍单", "商家寄出"}),

    PURCHASE_PLATFORM("purchasePlatform", "购入平台",
        new String[]{"淘宝", "小红书", "京东", "抖音"}),

    EXPENDITURE_PURPOSE("expenditurePurpose", "支出用途",
        new String[]{"快递费用", "返点", "蒲公英扣税费用"}),

    SETTLEMENT_METHOD("settlementMethod", "结款方式",
        new String[]{"微信", "支付宝", "蒲公英", "京灵平台"}),

    SETTLEMENT_PURPOSE("settlementPurpose", "结款用途",
        new String[]{"稿费", "快递费用", "拍单费用", "蒲公英扣税费用"});

    private final String type;
    private final String label;
    private final String[] values;

    CollaborationOptionEnum(String type, String label, String[] values) {
        this.type = type;
        this.label = label;
        this.values = values;
    }

}
